ClickStack: List Dashboards
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
ClickStack: Retrieves a list of all dashboards for the authenticated team
GET
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
clickstack
/
dashboards
ClickStack: List Dashboards
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/dashboards \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/dashboards"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": [
{
"id": "65f5e4a3b9e77c001a567890",
"name": "Service Overview",
"tiles": [
{
"name": "Error Rate",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"id": "65f5e4a3b9e77c001a901234",
"config": {
"displayType": "line",
"sourceId": "65f5e4a3b9e77c001a111111",
"select": [
{
"aggFn": "count",
"valueExpression": "Duration",
"alias": "Request Duration",
"where": "service:api",
"metricName": "http.server.duration",
"periodAggFn": "delta",
"numberFormat": {
"output": "number",
"mantissa": 2,
"thousandSeparated": true,
"average": false,
"decimalBytes": false,
"factor": 1,
"currencySymbol": "$",
"numericUnit": "bytes_iec",
"unit": "ms"
}
}
],
"groupBy": "host",
"asRatio": true,
"alignDateRangeToGranularity": true,
"fillNulls": true,
"numberFormat": {
"output": "number",
"mantissa": 2,
"thousandSeparated": true,
"average": false,
"decimalBytes": false,
"factor": 1,
"currencySymbol": "$",
"numericUnit": "bytes_iec",
"unit": "ms"
},
"compareToPreviousPeriod": true
},
"containerId": "service-health",
"tabId": "errors"
}
],
"tags": [
"production",
"monitoring"
],
"filters": [
{
"type": "QUERY_EXPRESSION",
"name": "Environment",
"expression": "environment",
"sourceId": "65f5e4a3b9e77c001a111111",
"id": "<string>",
"sourceMetricType": "gauge",
"where": "ServiceName:api",
"whereLanguage": "lucene"
}
],
"savedQuery": "service.name = 'api'",
"savedQueryLanguage": "sql",
"savedFilterValues": [
{
"condition": "ServiceName IN ('hdx-oss-dev-api')",
"type": "sql"
}
],
"containers": [
{
"id": "service-health",
"title": "Service Health",
"collapsed": false,
"collapsible": true,
"bordered": true,
"tabs": [
{
"id": "errors",
"title": "Errors"
}
]
}
]
}
]
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
ClickStack: Retrieves a list of all dashboards for the authenticated team
ClickStack: Retrieves a list of all dashboards for the authenticated team
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the service.
ID of the ClickStack service.
Last modified on July 9, 2026
Was this page helpful?
Previous
ClickStack: Create Dashboard**This endpoint is in beta.** API contract is stable, and no breaking changes are expected in the future. <br /><br /> ClickStack: Creates a new dashboard
Next
⌘I
ClickStack: List Dashboards
